View Issue Details

IDProjectCategoryView StatusLast Update
0001661SymmetricDSImprovementpublic2014-06-16 20:27
ReporterelongAssigned Toelong 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.6.0 
Target Version3.6.0Fixed in Version3.6.0 
Summary0001661: Parameter to collect router statistics
DescriptionAdd a parameter to enable collection of router statistics, including start data ID, end data ID, number of rows, number of peek ahead passes, list of transaction IDs, and list of data gaps. The statistics should be cached until the batch is OK'ed. If the batch gets an error, the statistics should be logged. This can be used track down issues with the DataGapRouteReader.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 6e7a5816

2014-04-08 10:28:09

erilong

Details Diff
0001661: Parameter to collect router statistics
0001661
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/DataGap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/ChannelRouterContext.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/DataGapRouteReader.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/AcknowledgeService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/statistic/IStatisticManager.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/statistic/RouterStats.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/statistic/StatisticManager.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/statistic/MockStatisticManager.java Diff File

SymmetricDS: master edd974e8

2014-04-09 14:18:35

erilong

Details Diff
0001661: Parameter to collect router statistics
0001661
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/statistic/StatisticManager.java Diff File

Issue History

Date Modified Username Field Change
2014-04-08 10:17 elong New Issue
2014-04-08 10:17 elong Status new => assigned
2014-04-08 10:17 elong Assigned To => elong
2014-04-08 10:30 elong Status assigned => resolved
2014-04-08 10:30 elong Fixed in Version => 3.6.0
2014-04-08 10:30 elong Resolution open => fixed
2014-04-08 11:00 Changeset attached => SymmetricDS trunk r8138
2014-04-09 15:00 Changeset attached => SymmetricDS trunk r8143
2014-06-16 20:27 chenson Status resolved => closed
2015-07-30 21:49 Changeset attached => SymmetricDS master edd974e8
2015-07-30 21:49 Changeset attached => SymmetricDS master 6e7a5816